Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Sep 2022 10:16:35 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Dmitrii Kuragin <[email-masked]>,  [email-masked]
> Date: Thu, 01 Sep 2022 07:44:52 +0200
> 
> Proposed specification:
> 
> https://gitlab.com/gnachman/iterm2/-/wikis/synchronized-updates-spec

AFAIU, this defines just two special commands: Begin Synchronized
Update (BSU) and End Synchronized Update (ESU).

A natural place to emit these is in, respectively, update_begin_hook
and update_end_hook.  These two hooks are currently set to NULL (in
term.c) for TTY frames.  So as a first try, I suggest to define these
hooks for TTY frames, and make them emit these two commands.  If doing
so resolves the problem with flickering on alacritty, we can think how
to add that cleanly only for alacritty.